%  lead4.m
% Matlab file for Part 4 of the Lead in the Body module

disp('*********************************************')
disp('Part 4:  A Lead-Free Environment ')
disp('*********************************************')
disp('  ')    

    format short
 
    disp('Step 1: ')
    disp('The solution xh of the homogeneous system ')
    disp('    x'' = A*x ')
    disp('is of the form ')
    disp(' ')
    disp(' xh = d(1)*exp(lam1*t)*v1 + d(2)*exp(lam2*t)*v2 ')
    disp('        + d(3)*exp(lam3*t)*v3. ')
    disp(' ')
    disp('just as before, ')
    disp(' ')
    disp('Hit any key to continue. ')

    pause
    disp(' ')
 
    disp('----------------------------------------------')
    disp('Step 2: ')
    disp('Given the initial condition x(400)=0, we substitute')
    disp('t=400 and solve for the coefficients d(1), d(2), ')
    disp('and d(3).  We know the values of our previous ')
    disp('solutions at t=400 from Part 3.  These values are ')
    x1_400
    x2_400
    x3_400
    disp(' ')
    disp('Note that solving ')
    disp(' ') 
    disp('d(1)*exp(lam1*400)*v1 + d(2)*exp(lam2*400)*v2 ')
    disp(' + d(3)*exp(lam3*400)v3 = [x1_400,x2_400,x3_400]'' ')
    disp(' ') 
    disp('is equivalent to solving the system')
    disp(' ')
    disp('   (V*D)*d = [x1_400,x2_400,x3_400]'',  ')
    disp(' ')
    disp('where V is the matrix of eigenvectors as before,')
    disp('d is the vector [d(1),d(2),d(3)]'', and D is the ')
    disp('diagonal matrix:')
    disp('  D=diag([exp(lam1*400),exp(lam2*400),exp(lam3*400)]) ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Solve for the coefficients d(1), d(2), d(3). ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
 
    disp('----------------------------------------------')
    disp('Step 3 thru 5: ')
    disp('Now we can plot the three components of the ')
    disp('solution of our new initial values problem as')
    disp('a continuation of the plot of Part 3. ')
    disp('Enter: ')
    disp(' ')
    disp(' t=400:5:800;')
    disp(' for i=1:3 ')
    disp('   y(i,:)=d(1)*exp(lam1*t)*v1(i) + ... ')
    disp('          d(2)*exp(lam2*t)*v2(i) + ... ')
    disp('          d(3)*exp(lam3*t)*v3(i) ; ')
    disp(' end ')
    disp(' plot(t,y(1,:),''r''); grid on ')
    disp(' plot(t,y(2,:),''k'') ')
    disp(' plot(t,y(3,:),''b'') ')
    disp(' ')
    disp('---------------------------------------------------')
    disp('Interpret the graphs and answer the questions in')
    disp('steps 4 and 5. Use MATLAB comments in your diary file.')
    disp(' ')
    disp('To find out about the long term lead in the bones,')
    disp('you can change t values and evaluate y3(t):')
    disp(' ')
    disp('   t=600;')
    disp('   y3 = d(1)*exp(lam1*t)*v1(3) + ... ')
    disp('        d(2)*exp(lam2*t)*v2(3) + ... ')
    disp('        d(3)*exp(lam3*t)*v3(3)  ')
    disp(' ')
    disp(' ')
    disp('---------------------------------------')
    disp('To go on to part 5 of this module,')
    disp('type: lead5 ')
    disp(' ')
    